WordPress.org

Ready to get started?Download WordPress

Forums

Super RSS Reader
Conflict and crash other jquery plugins (8 posts)

  1. mrshiva
    Member
    Posted 1 year ago #

    Hi, I have founf that this plugin stops working correctly.
    When i activate a plugin 2 other crashes - usernoise, meteor-slides.
    2 days ago all was working together.

    Thanks!

    http://wordpress.org/extend/plugins/super-rss-reader/

  2. failedprocess
    Member
    Posted 1 year ago #

    I have noticed a conflict with superfish.js in Elegant Themes themes as well as a conflict with top_up.js. Both of these are related to intrinsic theme files, not other plugins. So far, deactivating this plugin has been the only solution I have been able to find. (WordPress 3.5 and Super RSS Reader 2.2)

  3. TT1
    Member
    Posted 1 year ago #

    Also have a conflict with meteor slides after updating super rss reader!

  4. failedprocess
    Member
    Posted 1 year ago #

    So upon further investigation, I believe that this is related to this plugin calling its own version of javascript which according to this forum post (Troubleshooting WordPress 3.5 Master List) is a major no-no in WordPress 3.5. I was able to get this plugin to work by going into the super-rss-reader.php and commenting out the javascript call that is specific to this plugin. The lines that need commented out are 24-26 and it should look like this when you are done:

    function srr_public_scripts(){
    	// jQuery
    	//wp_deregister_script('jquery');
        //wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js');
        //wp_enqueue_script('jquery');
    
    	// Super RSS Reader JS and CSS
    	wp_register_script('super-rss-reader-js', SRR_URL . 'public/srr-js.js');
    	wp_enqueue_script(array('jquery', 'super-rss-reader-js'));
    }

    Your mileage may vary with this fix but Chrome is showing no javascript errors once this was implemented.

  5. mrshiva
    Member
    Posted 1 year ago #

    Not working in Firefox, but works in IE, Chrome

  6. psidwell
    Member
    Posted 1 year ago #

    Works for me in Chrome 24.0.1312.52 and Firefox 18.0. Also works in IE8, but that's kind of irrelevant (have to use it for access to a major partner's VPN so I'm stuck with it).

    Thanks for the help, failedprocess!!!

  7. failedprocess
    Member
    Posted 1 year ago #

    I was also able to confirm correct operation in FF 18, Chrome 24.0.1312.52 m, IE 8.0, Safari 5.1, and Opera 12.12. Glad to see that it's working in the majority of use cases!

  8. schenkelc
    Member
    Posted 1 year ago #

    @failedprocess
    You just made my day! Thank you!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.